> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sharc.sh/llms.txt
> Use this file to discover all available pages before exploring further.

# List repositories

> Lists repository collections currently indexed for the authenticated key.



## OpenAPI

````yaml GET /v1/repos
openapi: 3.1.0
info:
  title: SHARC MCP Backend API
  version: 1.0.0
  description: >-
    HTTP endpoints used by the SHARC MCP server for indexing and semantic search
    workflows.
servers:
  - url: https://api.sharc.sh
    description: Production
security: []
paths:
  /v1/repos:
    get:
      tags:
        - MCP backend
      summary: List indexed repositories
      description: >-
        Lists repository collections currently indexed for the authenticated
        key.
      operationId: listRepos
      responses:
        '200':
          description: Repository list
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/RepoListResponse'
      security:
        - apiKey: []
components:
  schemas:
    RepoListResponse:
      type: object
      properties:
        repos:
          type: array
          items:
            type: string
  securitySchemes:
    apiKey:
      type: http
      scheme: bearer
      bearerFormat: API Key
      description: 'Pass your key in Authorization: Bearer <key>.'

````